## org.apache.myfaces.context.servlet
Class ServletExternalContextImpl

    java.lang.Object
      javax.faces.context.ExternalContext
          org.apache.myfaces.context.servlet.ServletExternalContextImpl

All Implemented Interfaces:
  ReleaseableExternalContext

public class ServletExternalContextImpl
extends javax.faces.context.ExternalContext
implements ReleaseableExternalContext

JSF 1.0 PRD2, 6.1.1

Version:
  $Revision: 219550 $ $Date: 2005-07-18 14:43:43 -0400 (Mon, 18 Jul 2005) $ Revision 1.11 Sylvain Vieujot Forward the message when an exception is thrown in dispatch
Author:
  Manfred Geiler (latest modification by $Author: baranda $), Anton Koinov

Field Summary

Fields inherited from class javax.faces.context.ExternalContext
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`ServletExternalContextImpl(javax.servlet.ServletContext servletContext, javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse)`

Method Summary
`void` `dispatch(java.lang.String requestURI)`
`java.lang.String` `encodeActionURL(java.lang.String s)`
`java.lang.String` `encodeNamespace(java.lang.String s)`
`java.lang.String` `encodeResourceURL(java.lang.String s)`
`java.util.Map` `getApplicationMap()`
`java.lang.String` `getAuthType()`
`java.lang.Object` `getContext()`
`java.lang.String` `getInitParameter(java.lang.String s)`
`java.util.Map` `getInitParameterMap()`
`java.lang.String` `getRemoteUser()`
`java.lang.Object` `getRequest()`
`java.lang.String` `getRequestContextPath()`
`java.util.Map` `getRequestCookieMap()`
`java.util.Map` `getRequestHeaderMap()`
`java.util.Map` `getRequestHeaderValuesMap()`
`java.util.Locale` `getRequestLocale()`
`java.util.Iterator` `getRequestLocales()`
`java.util.Map` `getRequestMap()`
`java.util.Map` `getRequestParameterMap()`
`java.util.Iterator` `getRequestParameterNames()`
`java.util.Map` `getRequestParameterValuesMap()`
`java.lang.String` `getRequestPathInfo()`
`java.lang.String` `getRequestServletPath()`
`java.net.URL` `getResource(java.lang.String s)`
`java.io.InputStream` `getResourceAsStream(java.lang.String s)`
`java.util.Set` `getResourcePaths(java.lang.String s)`
`java.lang.Object` `getResponse()`
`java.lang.Object` `getSession(boolean create)`
`java.util.Map` `getSessionMap()`
`java.security.Principal` `getUserPrincipal()`
`boolean` `isUserInRole(java.lang.String role)`
`void` `log(java.lang.String message)`
`void` `log(java.lang.String message, java.lang.Throwable t)`
`void` `redirect(java.lang.String url)`
`void` `release()` Release resources that the ExternalContext is holding onto.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletExternalContextImpl

    public ServletExternalContextImpl(javax.servlet.ServletContext servletContext,
                                      javax.servlet.ServletRequest servletRequest,
                                      javax.servlet.ServletResponse servletResponse)

Method Detail

### release

    public void release()

  Description copied from interface: `ReleaseableExternalContext`
  Release resources that the ExternalContext is holding onto.

  Specified by:
    `release` in interface `ReleaseableExternalContext`

### getSession

    public java.lang.Object getSession(boolean create)

### getContext

    public java.lang.Object getContext()

### getRequest

    public java.lang.Object getRequest()

### getResponse

    public java.lang.Object getResponse()

### getApplicationMap

    public java.util.Map getApplicationMap()

### getSessionMap

    public java.util.Map getSessionMap()

### getRequestMap

    public java.util.Map getRequestMap()

### getRequestParameterMap

    public java.util.Map getRequestParameterMap()

### getRequestParameterValuesMap

    public java.util.Map getRequestParameterValuesMap()

### getRequestParameterNames

    public java.util.Iterator getRequestParameterNames()

### getRequestHeaderMap

    public java.util.Map getRequestHeaderMap()

### getRequestHeaderValuesMap

    public java.util.Map getRequestHeaderValuesMap()

### getRequestCookieMap

    public java.util.Map getRequestCookieMap()

### getRequestLocale

    public java.util.Locale getRequestLocale()

### getRequestPathInfo

    public java.lang.String getRequestPathInfo()

### getRequestContextPath

    public java.lang.String getRequestContextPath()

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String s)

### getInitParameterMap

    public java.util.Map getInitParameterMap()

### getResourcePaths

    public java.util.Set getResourcePaths(java.lang.String s)

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String s)

### encodeActionURL

    public java.lang.String encodeActionURL(java.lang.String s)

### encodeResourceURL

    public java.lang.String encodeResourceURL(java.lang.String s)

### encodeNamespace

    public java.lang.String encodeNamespace(java.lang.String s)

### dispatch

    public void dispatch(java.lang.String requestURI)
                  throws java.io.IOException,
                         javax.faces.FacesException

  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`

### getRequestServletPath

    public java.lang.String getRequestServletPath()

### getAuthType

    public java.lang.String getAuthType()

### getRemoteUser

    public java.lang.String getRemoteUser()

### isUserInRole

    public boolean isUserInRole(java.lang.String role)

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

### log

    public void log(java.lang.String message)

### log

    public void log(java.lang.String message,
                    java.lang.Throwable t)

### redirect

    public void redirect(java.lang.String url)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRequestLocales

    public java.util.Iterator getRequestLocales()

### getResource

    public java.net.URL getResource(java.lang.String s)
                             throws java.net.MalformedURLException

  Throws:
    `java.net.MalformedURLException`